logoUNLI
POST
/chat/completions

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using API keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/chat/completions" \  -H "Content-Type: application/json" \  -d '{    "stream": false,    "model": "unli-auto",    "temperature": 0.1,    "messages": [      {        "role": "user",        "content": [          {            "type": "text",            "text": "hi gpt"          }        ]      }    ]  }'
{  "choices": [    {      "finish_reason": "stop",      "index": 0,      "message": {        "content": "Hello! How can I help you today?",        "padding": "abcdefghijklmnopq",        "role": "assistant"      }    }  ],  "id": "chatcmpl-C4pf0fiNNxFd6tJ2PKPH5K2t17Ahj",  "usage": {    "completion_tokens": 10,    "prompt_tokens": 10,    "prompt_tokens_details": {      "cached_tokens": 0    },    "total_tokens": 20  },  "model": "unli-auto",  "system_fingerprint": "fp_ffd5ba9d2e"}